﻿html {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

*, *:before, *:after {
    -webkit-box-sizing: inherit;
    -moz-box-sizing: inherit;
    box-sizing: inherit;
}

.clearFix {
    clear: both;
}

body {
    background-color: gainsboro;
}

input[type="number"] {
    width: 50px;
}

@media (max-height: 600px) {
    body .ngdialog.ngdialog-theme-flat {
        padding-bottom: 16px;
        padding-top: 50px;
        font-size: 1.2em;
    }

        body .ngdialog.ngdialog-theme-flat .ngdialog-content {
            max-width: 95%;
            padding: 1em 1em 1.5em;
        }
}


.content {
    width: 90%;
    margin: 2% auto;
    margin-top: 60px;
    margin-bottom: 50px;
}

.top {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 50px;
    padding: 7px;
    background: #9a9a9a;
    z-index: 2;
}

.buyPlanned {
    position: absolute;
    bottom: 15px;
    right: 0;
}

.outerBox {
    width: 33%;
    height: 120px;
    min-width: 240px;
    padding: 5px;
    float: left;
}

.innerBox {
    width: 100%;
    height: 100%;
    background-color: white;
    border: 1px solid black;
    padding: 5px;
    position: relative;
}

    /*.innerBox a {
        display: block;
        width: 100%;
        height: 100%;
        color: black;
        text-decoration: none;
    }*/

    .innerBox .name {
        float: left;
        font-size: 175%;
    }

    .innerBox .cost {
        float: right;
        font-size: 175%;
    }

    .innerBox .bottom {
        position: absolute;
        bottom: 5px;
        right: 0;
    }

        .innerBox .bottom a {
            display: inline-block;
            margin: 7px;
            font-size: 18px;
        }

.bottomInfo {
    position: fixed;
    bottom: 0;
    height: 35px;
    width: 100%;
    background-color: #ccc;
}

.btn {
    background: #28e04d;
    background-image: -webkit-linear-gradient(top, #28e04d, #16a300);
    background-image: -moz-linear-gradient(top, #28e04d, #16a300);
    background-image: -ms-linear-gradient(top, #28e04d, #16a300);
    background-image: -o-linear-gradient(top, #28e04d, #16a300);
    background-image: linear-gradient(to bottom, #28e04d, #16a300);
    -webkit-border-radius: 12;
    -moz-border-radius: 12;
    border-radius: 12px;
    -webkit-box-shadow: 0px 3px 5px #666666;
    -moz-box-shadow: 0px 3px 5px #666666;
    box-shadow: 0px 3px 5px #666666;
    font-family: Arial;
    color: #ffffff;
    font-size: 15px;
    padding: 5px 10px 5px 10px;
    text-decoration: none;
}

    .btn:hover {
        background: #58e875;
        background-image: -webkit-linear-gradient(top, #58e875, #3ea82b);
        background-image: -moz-linear-gradient(top, #58e875, #3ea82b);
        background-image: -ms-linear-gradient(top, #58e875, #3ea82b);
        background-image: -o-linear-gradient(top, #58e875, #3ea82b);
        background-image: linear-gradient(to bottom, #58e875, #3ea82b);
        text-decoration: none;
    }

    .btn.true {
        background: #3498db;
        background-image: -webkit-linear-gradient(top, #3498db, #2980b9);
        background-image: -moz-linear-gradient(top, #3498db, #2980b9);
        background-image: -ms-linear-gradient(top, #3498db, #2980b9);
        background-image: -o-linear-gradient(top, #3498db, #2980b9);
        background-image: linear-gradient(to bottom, #3498db, #2980b9);
    }

        .btn.true:hover {
            background: #3cb0fd;
            background-image: -webkit-linear-gradient(top, #3cb0fd, #3498db);
            background-image: -moz-linear-gradient(top, #3cb0fd, #3498db);
            background-image: -ms-linear-gradient(top, #3cb0fd, #3498db);
            background-image: -o-linear-gradient(top, #3cb0fd, #3498db);
            background-image: linear-gradient(to bottom, #3cb0fd, #3498db);
        }

.btn.square {
    -webkit-border-radius: 1px;
    -moz-border-radius: 1px;
    border-radius: 1px;
    -webkit-box-shadow: 0 1px 3px #666666;
    -moz-box-shadow: 0 1px 3px #666666;
    box-shadow: 0 1px 3px #666666;
    font-size: 18px;
}

.commodities tr td:nth-child(1){
    text-align: left;
}
.commodities tr td:nth-child(2){
    text-align: right;
    width: 180px;
}
.commodities tr td:nth-child(3){
    text-align: right;
    width: 40px;
}
.commodities tr td:last-child{
    text-align: right;
    width: 50px;
}

.Science {
    background: linear-gradient(#98e890, #55904e);
    /*background: linear-gradient(#14eb00, #0d7d00);*/
}

.Craft {
    background: linear-gradient(#e6c77a,#c38b25);
    /*background: linear-gradient(#ffa500,#d98c00);*/
}

    .Craft.Science {
        background: linear-gradient(135deg, #c38b25 0,#e6c77a 50%,#98e890 50%,#55904e 100%);
    }

.Science.Art {
    background: linear-gradient(135deg, #55904e 0,#98e890 50%,#5abaea 50%,#503c89 100%);
}

.Art.Religion {
    background: linear-gradient(135deg, #503c89 0,#5abaea 50%,#a5a0a0 50%,#575353 100%);
}

.Art {
    background: linear-gradient(#5abaea,#503c89);
    /*background: linear-gradient(#22a3e3,#3908c2);*/
    /*color: white;*/
}

.Religion {
    background: linear-gradient(#a5a0a0,#575353);
    /*background: linear-gradient(#636363,#000);*/
    /*color: white;*/
}

.Art.Civic {
    background: linear-gradient(135deg, #503c89 0,#5abaea 50%,#e67a7a 50%,#c32525 100%);
}

.Civic {
    background: linear-gradient(#e67a7a,#c32525);
    /*background: linear-gradient(#f00,#c00);*/
}

table {
    width: 100%;
}


@media (max-width: 1016px) {
    .outerBox {
        width: 49%;
    }
        .innerBox .bottom a {
        margin: 4px;
        font-size: 14px;
    }
            .content {
        width: 99%;
    }

}

@media (max-width: 502px) {
    .outerBox {
        width: 99%;
    }
    .content {
        width: 99%;
    }
}
